<?php

use App\Http\Controllers\api\v1\User\AuthController;
use Illuminate\Support\Facades\Route;

Route::controller(AuthController::class)->group(function () {
    Route::post('signup', 'signup');
    Route::post('admin-signup', 'adminSignup');
    Route::post('vendor-signup', 'vendorSignup');
    Route::post('login', 'login');
    Route::post('resend-otp', 'resendOtp');
    Route::post('verify-account', 'verifyAccount');
    Route::post('forgot-password', 'forgotPassword');
    Route::post('reset-password', 'resetPassword');
    Route::post('subscribe', 'subscribe');
});
